mediathekview(1)

NAME
MediathekView - Betrachter für die Mediatheken des deutschsprachigen Fernsehens

SYNOPSIS
mediathekview [PFAD ZUR KONFIGURATION] [OPTION...]

BESCHREIBUNG

Diese Anwendung durchsucht die verschiedenen Mediatheken des deutschsprachigen Fernsehens. (ARD, ZDF, Arte, 3Sat, MDR, ORF, SRF und viele weitere).
Sie können Sendungen anschauen, herunterladen und sogar abonnieren.

OPTIONEN

-auto
    das Programm lädt automatisch die Filmliste, erledigt alle Abonnements und beendet sich dann wieder. Dies funktioniert auch auf Rechnern ohne grafische Oberfläche (ohne X).

-fastauto
    wie -auto aber es werden keine Filmbeschreibungen mitgeladen. Dies spart Speicher und beschleunigt schwache Hardware.

-DproxySet=(true|false)
    schaltet die Benutzung eines Proxy-Servers an oder aus.

-DproxyHost=
    legt den zu benutzenden Proxy-Server fest.

-DproxyPort=
    definiert den Port des Proxy-Servers, zu dem verbunden werden soll.

-Dswing.defaultlaf=
    dient dazu das Aussehen der grafischen Bedienungsoberfläche zu verändern, wenn in den Einstellungen des Benutzers dieses noch nicht definiert worden ist.
    Ein Beispiel wäre z.B.: com.sun.java.swing.plaf.gtk.GTKLookAndFeel für das GTK-Systemthema.

-M
    maximiert das Fenster der Anwendung beim Starten.

Die mit -D beginnenden Optionen sind allgemeine Java-Optionen und können mit jedem Java-Programm verwendet werden.

BEISPIELE

mediathekview ~/Sendungen -auto
    anstatt die standardmäßige Konfiguration in ~/.mediathek3 zu benutzen, greift MediathekView auf eine benutzerdefinierte Konfiguration in ~/Sendungen zurück, startet das Programm ohne grafische Oberfläche, lädt alle Abonnements und beendet sich dann wieder.

SIEHE EBENSO
flvstreamer (1), java (1), mpv (1), vlc (1)